*,
*::after,
*::before {
  margin: 0;
  box-sizing: inherit;
  padding: 0;
}

html {
  // Defines 1rem so that 1rem == 10px if the browser's default font size is 16px
  font-size: 62.5%;

  @include respond(tab-land) {
    font-size: 56.25%; // 1rem = 9px, 9/16
  }
  @include respond(tab-port) {
    font-size: 50%; // 1rem = 8px, 8/16
  }
  @include respond(big-desktop) {
    font-size: 75%; // 1rem = 12, 12/16
  }
}

body {
  box-sizing: border-box;
  padding: 3rem;

  @include respond(tab-port) {
    padding: 0;
  }
}

::selection {
  background-color: $color-primary;
  color: $color-white;
}
